Api Portal Custom Domains - Create Or Update
创建或更新 API 门户自定义域。
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AppPlatform/Spring/{serviceName}/apiPortals/{apiPortalName}/domains/{domainName}?api-version=2023-12-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
api
|
path | True |
string |
API 门户的名称。 |
|
domain
|
path | True |
string |
API 门户自定义域的名称。 |
|
resource
|
path | True |
string |
包含资源的资源组的名称。 可以从 Azure 资源管理器 API 或门户获取此值。 |
|
service
|
path | True |
string pattern: ^[a-z][a-z0-9-]*[a-z0-9]$ |
服务资源的名称。 |
|
subscription
|
path | True |
string |
获取唯一标识 azure 订阅Microsoft的订阅 ID。 订阅 ID 构成了每个服务调用的 URI 的一部分。 |
|
api-version
|
query | True |
string minLength: 1 |
用于此作的 API 版本。 |
请求正文
| 名称 | 类型 | 说明 |
|---|---|---|
| properties |
API 门户的自定义域的属性 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
成功。 响应描述更新的 Spring Cloud 网关路由配置。 |
|
| 201 Created |
创建。 响应描述新创建的 Spring Cloud Gateway 自定义域,并包含用于查询作结果的 Azure-AsyncOperation 标头。 |
|
| Other Status Codes |
描述作失败的原因的错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 流
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
ApiPortalCustomDomains_CreateOrUpdate
示例请求
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.AppPlatform/Spring/myservice/apiPortals/default/domains/myDomainName?api-version=2023-12-01
{
"properties": {
"thumbprint": "*"
}
}
示例响应
{
"properties": {
"thumbprint": "*"
},
"systemData": {
"createdBy": "sample-user",
"createdByType": "User",
"createdAt": "2021-08-11T03:16:03.944Z",
"lastModifiedBy": "sample-user",
"lastModifiedByType": "User",
"lastModifiedAt": "2021-08-11T03:17:03.944Z"
},
"type": "Microsoft.AppPlatform/Spring/apiPortals/domains",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.AppPlatform/Spring/myservice/apiPortals/default/domains/myDomainName",
"name": "myDomainName"
}
{
"properties": {
"thumbprint": "*"
},
"systemData": {
"createdBy": "sample-user",
"createdByType": "User",
"createdAt": "2021-08-11T03:16:03.944Z",
"lastModifiedBy": "sample-user",
"lastModifiedByType": "User",
"lastModifiedAt": "2021-08-11T03:17:03.944Z"
},
"type": "Microsoft.AppPlatform/Spring/apiPortals/domains",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.AppPlatform/Spring/myservice/apiPortals/default/domains/myDomainName",
"name": "myDomainName"
}
定义
| 名称 | 说明 |
|---|---|
|
Api |
API 门户的自定义域的属性 |
|
Api |
API 门户的自定义域 |
|
Cloud |
服务的错误响应。 |
|
Cloud |
服务的错误响应。 |
|
created |
创建资源的标识的类型。 |
|
last |
上次修改资源的标识的类型。 |
|
System |
与创建和上次修改资源相关的元数据。 |
ApiPortalCustomDomainProperties
API 门户的自定义域的属性
| 名称 | 类型 | 说明 |
|---|---|---|
| thumbprint |
string |
绑定证书的指纹。 |
ApiPortalCustomDomainResource
API 门户的自定义域
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
资源的完全限定资源 ID。 |
| name |
string |
资源的名称。 |
| properties |
API 门户的自定义域的属性 |
|
| systemData |
与创建和上次修改资源相关的元数据。 |
|
| type |
string |
资源的类型。 |
CloudError
服务的错误响应。
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
服务的错误响应。 |
CloudErrorBody
服务的错误响应。
| 名称 | 类型 | 说明 |
|---|---|---|
| code |
string |
错误的标识符。 代码是固定的,旨在以编程方式使用。 |
| details |
有关错误的其他详细信息的列表。 |
|
| message |
string |
描述错误的消息,旨在适合在用户界面中显示。 |
| target |
string |
特定错误的目标。 例如,错误属性的名称。 |
createdByType
创建资源的标识的类型。
| 值 | 说明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
lastModifiedByType
上次修改资源的标识的类型。
| 值 | 说明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
SystemData
与创建和上次修改资源相关的元数据。
| 名称 | 类型 | 说明 |
|---|---|---|
| createdAt |
string (date-time) |
资源创建时间戳(UTC)。 |
| createdBy |
string |
创建资源的标识。 |
| createdByType |
创建资源的标识的类型。 |
|
| lastModifiedAt |
string (date-time) |
资源修改的时间戳(UTC)。 |
| lastModifiedBy |
string |
上次修改资源的标识。 |
| lastModifiedByType |
上次修改资源的标识的类型。 |